4.2.0OAS 3.0

Public-Flights Flight API

API Base URL
  • Server 1:https://{environment}.schiphol.nl/public/public-flights/v4
    Variables
    environment:
Security
bearerAuth (http)

Provide your bearer token in the Authorization header when making requests to protected resources.

Example: Authorization: Bearer 123

Retrieves a Flight based on flight-id

get
https://api.schiphol.nl/public/public-flights/v4/flights/{id}

Path Parameters

idstringrequired

Unique numeric id of flight

Match pattern:^[0-9]+$

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

Response

application/json

OK

Flight

Public flight information.

lastUpdatedAtstring(date-time)

Time of the last update to the flight in the flight information system.

actualLandingTimestring(date-time)

Actual landing time (ALDT): the time the aircraft landed on the runway. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

actualOffBlockTimestring(date-time)

Actual off-block time (AOBT): the actual departure time from Amsterdam Airport Schiphol. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

aircraftRegistrationstring

Registration of the aircraft that operates the main flight. Example: PHTFA.

aircraftTypeobject

Aircraft type that operates the main flight.

Show Child Parameters
baggageClaimobject

Baggage reclaim information for an arriving flight.

Show Child Parameters
checkinAllocationsobject

Check-in desk allocations for the flight or its codeshare flights.

Show Child Parameters
codesharesobject

Codeshare flights related to the main flight.

Show Child Parameters
estimatedLandingTimestring(date-time)

Estimated landing time (ELDT) of an arriving flight at Amsterdam Airport Schiphol. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

expectedTimeBoardingstring(date-time)

Expected time that passenger boarding starts. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

expectedTimeGateClosingstring(date-time)

Expected time that the flight handler closes the gate. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

expectedTimeGateOpenstring(date-time)

Expected time that the flight handler opens the gate. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

expectedTimeOnBeltstring(date-time)

Expected time that the first baggage from the flight is on the reclaim belt. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

expectedSecurityFilterstring

expected security filter

flightDirectionstring

Direction of the flight: A = arrival, D = departure.

Allowed values:AD

flightNamestring

Flight name as shown on the passenger’s ticket. Example: KL672.

flightNumberinteger(int64)

Numeric part of the flight name. Example: 672.

gatestring

Gate from which passengers board the departing flight. Example: C12.

pierstring
idstring

Unique identifier of the flight.

isOperationalFlightboolean

Indicates whether the flight is operational (true) or non-operational (false).

mainFlightstring

For a codeshare, the flight name of the airline that operates the flight.

prefixIATAstring

Two-character IATA prefix of the operating airline. Example: KL.

prefixICAOstring

Three-character ICAO prefix of the operating airline. Example: KLM.

airlineCodeinteger(int64)

Numeric NVLS code of the airline.

publicEstimatedOffBlockTimestring(date-time)

Publicly displayed expected departure time of a departing flight. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

publicFlightStateobject

Public status of the flight.

Show Child Parameters
routeobject

Route information for the flight.

Show Child Parameters
scheduleDateTimestring(date-time)

Scheduled departure or arrival date and time. Format: yyyy-MM-dd’T’HH:mm:ss.SSSZ

scheduleDatestring(date)

Date on which the flight is scheduled to operate. Format: yyyy-MM-dd. Example: 2015-06-17.

scheduleTimestring

Time the flight is scheduled to depart or arrive. Format: hh:mm:ss. Example: 15:25:00.

serviceTypestring

The service type category of the commercial flight. For example: J = Passenger Line, C = Passenger Charter, F = Freight Line and H = Freight Charter.

terminalinteger(int64)

Schiphol terminal number used for departure or arrival.

transferPositionsobject

Transfer desks allocated to the flight.

Show Child Parameters
schemaVersionstring

Schema version of the API.

get/flights/{id}
 
application/json

Retrieve flight IDs based on a datetime range

Returns a list of flight IDs for flights scheduled within the specified datetime range (filters on scheduleDateTime). Max date range is three days.

get
https://api.schiphol.nl/public/public-flights/v4/flights/ids

Query Parameters

fromDateTimestring(local-date-time)required

From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss

toDateTimestring(local-date-time)required

To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

Response

application/json

List of flight IDs

array[string]
get/flights/ids
 
application/json

Retrieves flights for a specific date

Retrieves flights for a specific date. If scheduleDate is provided as query parameter, it will retrieve flights for that date. If not provided it is defaulted to today. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”

get
https://api.schiphol.nl/public/public-flights/v4/flights

Query Parameters

scheduleDatestring(date)

Scheduled date to get flights for. Format: yyyy-MM-dd. Defaults to today if not provided

scheduledatestring(date)

See: scheduleDate. Prefer scheduleDate. If both scheduleDate and scheduledate are used scheduleDate takes precedence

scheduleTimestring(hour-minute)

Scheduled time to get flights from. Format: HH:mm

flightNamestring

Flight number as printed on the ticket

>= 5 characters<= 8 characters

flightnamestring

See: flightName. Prefer flightName. If both flightName and flightname are used flightName takes precedence

>= 5 characters<= 8 characters

flightDirectionstring

Direction of the flight

Allowed values:AD

flightdirectionstring

See: flightDirection. Prefer using flightDirection. If both flightDirection and flightdirection are used flightDirection takes precedence

Allowed values:AD

airlinestring

Prefix in flight number as printed on the ticket. For exmaple: KL. This can either be a 2-character (IATA) airline prefix or 3-character (ICAO) airline prefix. Only one airline (or airlineCode) can be queried at the same time.

>= 2 characters<= 3 characters

airlineCodeinteger(int32)

NVLS code of an airliner.

routestring

IATA or ICAO code of airport in route; multiple values, comma separated

>= 1 characters

includedelaysboolean

Include flights of earlier an scheduleDate when these have enough delay to shift to the date that is queried upon.

Default:false

includeDelaysboolean

See: includedelays. Prefer includedelays. If both includeDelays and includeDelays are used, includedelays take precedence.

Default:false

pageinteger(int32)

Page number

Default:0

>= 0<= 499

sortstring

Specifies which field to use for sorting. Allowed values are flightName, scheduleDate, scheduleTime, flightDirection, mainFlight, airlineCode, id, and all fields from the searchDateTimeField parameter. Use plus or minus sign to indicate ascending or descending order. Multiple fields are allowed and should be separated by a comma. For example “-scheduleDate, +scheduleTime”.

Match pattern:^((\+|-| )?(flightName|scheduleDate|scheduleTime|flightDirection|mainFlight|airlineCode|id|estimatedLandingTime|actualLandingTime|publicEstimatedOffBlockTime|actualOffBlockTime|expectedTimeBoarding|expectedTimeGateClosing|expectedTimeGateOpen|expectedTimeOnBelt|scheduleDateTime|lastUpdatedAt)(,|$))+$

Default:+scheduleTime

fromDateTimestring(local-date-time)

From date of search period. Format: yyyy-MM-dd’T’HH:mm:ss

toDateTimestring(local-date-time)

To date of search period (inclusive). Format: yyyy-MM-dd’T’HH:mm:ss

searchDateTimeFieldstring

Query by a specific DateTime field. Allowed fields are estimatedLandingTime, actualLandingTime, publicEstimatedOffBlockTime, actualOffBlockTime, expectedTimeBoarding, expectedTimeGateClosing, expectedTimeGateOpen, expectedTimeOnBelt, scheduleDateTime, lastUpdatedAt

Allowed values:estimatedLandingTimeactualLandingTimepublicEstimatedOffBlockTimeactualOffBlockTimeexpectedTimeBoardingexpectedTimeGateClosingexpectedTimeGateOpenexpectedTimeOnBeltscheduleDateTimelastUpdatedAt

fromScheduleDatestring(date)

Query by ScheduleDate range.

toScheduleDatestring(date)

Query by ScheduleDate range

isOperationalFlightboolean

Query based on operational/non-operational flights.true for operational and false for non-operational flights

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

Response

application/json

OK

FlightList

flightsarray[object]

Public flight information.

Show Child Parameters
get/flights
 
application/json

Retrieves list of airlines

Retrieves a list of airlines. If there are more hits then allowed on one page response headers will contain the URLs where other pages of the results can be reached.For example:
Link: <protocol://server_address:port/public-flights/resource> ; rel=“first”,
<protocol://server_address:port/public-flights/resource?page=10> rel=“last”,
<protocol://server_address:port/public-flights/resource?page=3> rel=“next”,
<protocol://server_address:port/public-flights/resource?page=1> rel=“prev”

get
https://api.schiphol.nl/public/public-flights/v4/airlines

Query Parameters

pageinteger(int32)

page number

Default:0

>= 0<= 499

sortstring

Specifies which field to use for sorting. Allowed fields are publicName, iata, icao and nvls. Use plus or minus sign to indicate ascending or descending order.

Match pattern:^((\+|-| )?(publicName|iata|icao|nvls)(,|$))+$

Default:+iata

Headers

Acceptstringrequired

Only ‘application/json’ is allowed

Example:application/json

Response

application/json

OK

AirlineList

airlinesarray[object]

Passenger airline operating to or from Amsterdam Airport Schiphol.

Show Child Parameters
get/airlines
 
application/json